linux: 2.6.38-13.53 -proposed tracker

Bug #897320 reported by Brad Figg on 2011-11-28
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Brad Figg
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Marc Deslauriers
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-13.53 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 28. November 2011 17:49 UTC
kernel-stable-Prepare-package-end:Tuesday, 29. November 2011 08:48 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 29. November 2011 08:48 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 29. November 2011 18:16 UTC
kernel-stable-Verification-testing-start:Tuesday, 29. November 2011 18:16 UTC
kernel-stable-Verification-testing-end:Wednesday, 07. December 2011 13:30 UTC
kernel-stable-Certification-testing-start:Wednesday, 07. December 2011 13:30 UTC
kernel-stable-Security-signoff-start:Wednesday, 07. December 2011 13:30 UTC
kernel-stable-Regression-testing-start:Wednesday, 07. December 2011 13:30 UTC
kernel-stable-Security-signoff-end:Wednesday, 07. December 2011 21:18 UTC
kernel-stable-Regression-testing-end:Friday, 09. December 2011 21:00 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 14. December 2011 13:45 UTC
kernel-stable-Certification-testing-end:Wednesday, 14. December 2011 13:45 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 19. December 2011 14:31 UTC
kernel-stable-Promote-to-updates-end:Monday, 19. December 2011 14:31 UTC

Brad Figg (brad-figg) on 2011-11-28
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 897566

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-natty (lucid) - bug 897567

description: updated
Martin Pitt (pitti) on 2011-11-29
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2011-11-29
description: updated
Herton R. Krzesinski (herton) wrote :

All SRUs are verified on natty, releasing for testing.

Brad Figg (brad-figg) on 2011-12-07
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2011-12-07
description: updated
C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2011-12-09
description: updated

Hardware Certification have begun (and finished) testing this kernel

tags: added: certification-testing-passed
tags: removed: certification-testing-passed

Hardware Certification have completed testing on 50/51 systems for Natty. 1 system was not tested due to lack of availability. All other systems reported without regressions.

Report is available : http://people.canonical.com/~hwcert/sru-testing/wk50_2011/natty-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2011-12-14
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.53

---------------
linux (2.6.38-13.53) natty-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #897320

  [ Upstream Kernel Changes ]

  * cifs, freezer: add wait_event_freezekillable and have cifs use it
    - LP: #24330
  * Fixup trivial checkpatch warning
    - LP: #24330
  * Fix build break when freezer not configured
    - LP: #24330
  * PM / Freezer: Reimplement wait_event_freezekillable using
    freezer_do_not_count/freezer_count
    - LP: #24330
  * crypto: ghash - Avoid null pointer dereference if no key is set
    - LP: #887299
    - CVE-2011-4081
  * ata_piix: make DVD Drive recognisable on systems with Intel Sandybridge
    chipsets(v2)
    - LP: #737388, #782389, #794642
  * drm/i915: fix CB tuning check for ILK+
    - LP: #891031
  * xfs: Fix possible memory corruption in xfs_readlink, CVE-2011-4077
    - LP: #887298
    - CVE-2011-4077
  * jbd/jbd2: validate sb->s_first in journal_get_superblock()
    - LP: #893148
    - CVE-2011-4132
  * hfs: add sanity check for file name length, CVE-2011-4330
    - LP: #894374
    - CVE-2011-4330
 -- Brad Figg <email address hidden> Mon, 28 Nov 2011 09:48:40 -0800

Changed in linux (Ubuntu Natty):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers